local Object = {}
local Objectmt = { __index = Object }


function imgobj(file)
	return {x = 0,y = 0,image = {file = file, x=0,y=0,r=0,sx=1,sy=1,ox=0,oy=0,kx=0,ky=0,}} 
end


function newObject(x, y, id, obj)
	local object = setmetatable(
		{
		x=x or 0,
		y=y or 0,
		id=id or 0,
		obj = obj,
		},
    Objectmt
	)
	return object
end


function Object:update(dt)
	
end

function Object:draw(x, y)
	
	x = x or 0
	y = y or 0
	
	if self.obj.color then
		love.graphics.setColor( self.obj.color.r, self.obj.color.g, self.obj.color.b, self.obj.color.a)
	end
	
	if self.obj.rectangle then
		love.graphics.rectangle( self.obj.rectangle.m, x+self.x + self.obj.x + self.obj.rectangle.x, y+self.y + self.obj.y + self.obj.rectangle.y, self.obj.rectangle.w, self.obj.rectangle.h)
	end
	
	
	
	if self.obj.circle then
		love.graphics.circle( self.obj.circle.m, x+self.x + self.obj.x + self.obj.circle.x, y+self.y + self.obj.y + self.obj.circle.y, self.obj.circle.r, self.obj.circle.s)
	end
	--]]


love.graphics.setColor( 255, 255, 255, 255)
	
	if self.obj.image then
			love.graphics.draw( 
		images[self.obj.image.file],
		x+self.x+self.obj.x, 
		y+self.y+self.obj.y,
		self.obj.r, 
		self.obj.sx,
		self.obj.sy,
		self.obj.ox,
		self.obj.oy,
		self.obj.kx,
		self.obj.ky )

	end
	--]]
	--[[	
	if self.obj.col then
	--	print("drawing col")
		love.graphics.setColor( 32, 123, 155, 255)
	--	print(self.obj.col:center())
		self.obj.col:draw("fill")
	end
	--]]
end



